#ifndef TOOLS_H
#define TOOLS_H

#include <string>
#include <vector>
#include <array>
#include <QString>
#include <QMap>
#include <QTranslator>
#include <QProcess>
#include <QMimeDatabase>
#include <QMimeType>

using namespace std;

FILE * popen2(array<string,8> argv, string type, int & pid);

int pclose2(FILE * fp, pid_t pid);

bool testRsyncReturn(MainWindow *, QProcess *);
QString getFileType(QString finename);
int whatIpVersion(QString);

#endif // TOOLS_H
